> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns minimum wage rates by location (address or coordinates) and effective date

> The result contains all hierarchy levels based on address or coordinates (valid coordinates take precedence over the address). The valid date format is yyyy-mm-dd. Optionally, will include jursidictions that the provided location resides in.



## OpenAPI

````yaml /mwf/api-reference/minimum-wage-finder.yaml get /v2/location
openapi: 3.0.1
info:
  title: Minimum Wage Finder API
  description: Symmetry Minimum Wage Finder API documentation
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
    email: support@symmetry.com
  license:
    name: Symmetry Software/Terms of Use
    url: https://www.symmetry.com/terms
  version: 1.3.65
servers:
  - url: https://api.symmetry.com/mwf
security: []
tags:
  - name: Minimum wage
    description: Endpoints returning the minimum wage
  - name: Documentation
    description: Documentation helper endpoints
  - name: Postman
    description: Resources for Postman
paths:
  /v2/location:
    get:
      tags:
        - Minimum wage
      summary: >-
        Returns minimum wage rates by location (address or coordinates) and
        effective date
      description: >-
        The result contains all hierarchy levels based on address or coordinates
        (valid coordinates take precedence over the address). The valid date
        format is yyyy-mm-dd. Optionally, will include jursidictions that the
        provided location resides in.
      operationId: fakeGetRatesByLocationWsV2
      parameters:
        - name: streetAddress1
          in: query
          required: false
          schema:
            type: string
          example: 123 main st
        - name: streetAddress2
          in: query
          required: false
          schema:
            type: string
          example: '#123'
        - name: city
          in: query
          required: false
          schema:
            type: string
          example: Edison
        - name: state
          in: query
          required: false
          schema:
            type: string
          example: NJ
        - name: zipCode
          in: query
          required: false
          schema:
            type: string
          example: 8837
        - name: latitude
          in: query
          required: false
          schema:
            type: number
            format: double
          example: 33.6158
        - name: longitude
          in: query
          required: false
          schema:
            type: number
            format: double
          example: -111.8946
        - name: effectiveDate
          in: query
          required: true
          schema:
            type: string
            format: date-time
          example: '2021-01-01T00:00:00.000Z'
        - name: useAddressSuggestion
          in: query
          description: >-
            Optional, defaults to false. If true, when address not found the
            system will use an address that may resemble the input address. In
            the absence of a suitable suggestion, the system will resort to
            geocoding based on the ZIP code. NOTE that if set to true, the
            accuracy of results are uncertain.
          required: false
          schema:
            type: boolean
            default: false
        - name: jurisdiction
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: effective
          in: query
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RatesJurisdictionResponse'
      security:
        - AuthenticationToken: []
components:
  schemas:
    RatesJurisdictionResponse:
      type: object
      properties:
        rates:
          type: array
          description: The list of rates.
          items:
            type: object
            additionalProperties:
              $ref: '#/components/schemas/MinimumWageRatesCompactResult'
            description: The list of rates.
        jurisdictions:
          type: array
          description: The tax jurisdictions associated with the locations.
          items:
            $ref: '#/components/schemas/JurisdictionResponse'
        normalizedAddress:
          $ref: '#/components/schemas/Address'
        coordinate:
          $ref: '#/components/schemas/GeoCoordinatesType'
        errorMessages:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StatusMessage'
          description: If any errors, included in this field.
      description: Response object for the minimum wage rates with jurisdiction request.
    MinimumWageRatesCompactResult:
      type: object
      properties:
        mwUid:
          type: string
          example: XX-X-000000000-REG-000-000
        state:
          type: string
          example: Federal|XX
        authority:
          type: string
          example: Optional
        authorityType:
          type: string
          example: City|City Metro|County|Federal|Municipality|State
        rate:
          type: number
          format: double
          example: 7.25
        majorType:
          type: string
          example: EXM|REG|TIP
        minorType:
          type: string
          example: (Optional) Specific description of this wage type.
        industryType:
          type: string
          example: Optional
        details:
          type: string
          example: (Optional) General description of wage type.
        effectiveDate:
          type: string
          format: date
          example: '2021-01-01T00:00:00.000Z'
        updated:
          type: string
          format: date
          example: '2021-01-01T00:00:00.000Z'
      description: The list of rates.
    JurisdictionResponse:
      type: object
      properties:
        name:
          type: string
          example: Place
        type:
          type: string
          example: CITY|CNTY|DAF|JEDD|METRO|MUNI|PORT|SCHL|STATE|TIF|TRANS
      description: The tax jurisdictions associated with the locations.
    Address:
      type: object
      properties:
        streetAddress1:
          type: string
          example: 14350 N 87th St
        streetAddress2:
          type: string
          example: Ste 310
        city:
          type: string
          example: Scottsdale
        state:
          type: string
          example: AZ
        zipCode:
          type: string
          example: 85260-2663
      description: If input address provided, then th normalized address is returned.
    GeoCoordinatesType:
      type: object
      properties:
        longitude:
          type: number
          description: The input longitude of the location.
          format: double
          example: 33.6158
        latitude:
          type: number
          description: The input latitude of the location.
          format: double
          example: -111.8946
      description: Coordinates used to determine minimum wages.
    StatusMessage:
      type: object
      properties:
        shortDescription:
          type: string
          example: Short error message.
        longDescription:
          type: string
          example: Long Description of error that occurred in application.
      description: If any errors, included in this field.
  securitySchemes:
    AuthenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````